Class Specialization
Bed3 BedRecord
BedRecord with 3 fields.
This BedRecord specialization stores the first three fields (ref, beginPos, endPos) of a BED file.

BedRecord

Bed3 BedRecord

Bed4 BedRecord

Bed5 BedRecord

Bed6 BedRecord

Bed12 BedRecord

class BedRecord<Bed3>
Include Headers
seqan/bed_io.h
Specialization of
BedRecord
Specializations

Bed4 BedRecord | BedRecord with 4 fields.

Data Members

beginPosition | Begin position on the reference. (BedRecord)
data | Any data after the last position. (BedRecord)
endPosition | End position on the reference. (BedRecord)
INVALID_POS | Constant for invalid positions. (BedRecord)
INVALID_REFID | Constant for invalid references. (BedRecord)
ref | Name of the interval's reference (CharString). (BedRecord)
rID | Numeric id of the interval's reference (__int32, defaults to INVALID_REFID). (BedRecord)

Member Functions

BedRecord | Constructor. (BedRecord)

Functions

clear | Reset BED record to state after default initialization. (BedRecord)
readRecord | Read a record from a BedStream (BedRecord)
writeRecord | Write a record to a BedStream (BedRecord)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00